Name:           synce-trayicon
Version:        0.14
Release:        1%{?dist}
Summary:        Tray icon for use with gnome and synce

Group:          Applications/Communications
# Most of the code is MIT, except for src/eggtrayicon.c (LGPLv2+)
License:        LGPLv2+
URL:            http://synce.sourceforge.net/
Source0:        http://dl.sf.net/synce/synce-trayicon-%{version}.tar.gz
Source1:        synce-trayicon.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  librapi-devel >= 0.14
BuildRequires:  librra-devel >= 0.14
BuildRequires:  orange-devel >= 0.3.2
BuildRequires:  libgnomeui-devel
BuildRequires:  libgtop2-devel
BuildRequires:  libxml2-devel
BuildRequires:  gtk2-devel
BuildRequires:  desktop-file-utils
BuildRequires:  perl-XML-Parser
BuildRequires:  gettext
BuildRequires:  glib2-devel gnet2-devel
BuildRequires:  hal-devel
BuildRequires:  dbus-glib-devel
BuildRequires:  gnome-keyring-devel
BuildRequires:  libnotify-devel
BuildRequires:  intltool

Requires: gnome-session

%description
%{summary}

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_libdir}/synce-trayicon/modules/*la

%find_lang synce-trayicon

desktop-file-install \
  --vendor=fedora \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category=X-Fedora \
  %{SOURCE1}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f synce-trayicon.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/synce-trayicon
%dir %{_libdir}/synce-trayicon
%dir %{_libdir}/synce-trayicon/modules
%{_libdir}/synce-trayicon/modules/*so
%{_datadir}/synce/synce_trayicon_properties.glade
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/applications/*
%{_sysconfdir}/gconf/schemas/synce-trayicon.schemas
%{_mandir}/man1/synce-trayicon.1.gz
%{_datadir}/gnome/autostart/

%changelog
* Tue Jul 21 2009 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.14-1
- version upgrade

* Sun Feb 08 2009 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.13-1
- version upgrade (#457949)

* Sat Sep  6 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.11-2
- fix license tag

* Wed Jun 18 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.11-1
- version upgrade

* Wed Dec 12 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.9.0-13
- fix #419491

* Thu Dec 06 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.9.0-12
- fix desktop file

* Tue Dec 04 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.9.0-11
- fix BR

* Fri Aug 10 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.9.0-10
- fix patch (Dave Jones)

* Fri Jul 20 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.9.0-9
- fix #248369

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 0.9.0-8
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Tue Sep 19 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.9.0-7
- FE6 rebuild

* Tue Feb 28 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.9.0-6
- Rebuild for Fedora Extras 5

* Wed Jan 18 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.9.0-5
- bump release

* Wed Dec 14 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.9.0-4
- add dist
- fix desktop file

* Tue Dec 13 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.9.0-3
- add desktop file

* Mon Dec 12 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.9.0-2
- fix BR

* Tue Aug 23 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.9.0-1
- Initial Release
